> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/data_platforms/splunk/search_macro.md).

# Default Search Macro

By default, the ElastiFlow App for Splunk comes with a predefined `default_index` search macro. You can view the default index search macro by going to: Settings -> Advanced search -> "Search macros"

![image](https://user-images.githubusercontent.com/43585378/190881738-32bdf98d-57ea-4591-8b26-946e2768a729.png) ![image](https://user-images.githubusercontent.com/43585378/190881740-51d5b6a8-6ac4-40db-806a-72f8160b6f1a.png)

The `default_index` search macro defaults to `index="elastiflow*"`. This search macro will automatically update the `index=name` for each visualization. You can view any search in by clicking the magnifying glass next to a visualization. As you can see below this search references the `default_index` search macro.

![image](https://user-images.githubusercontent.com/43585378/190881743-5edbfcff-8b1a-4405-a625-4c63fd60cfc8.png)

For more information about search macros please visit: <https://docs.splunk.com/Documentation/PCI/5.0.1/User/Searchmacros>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elastiflow.com/data_platforms/splunk/search_macro.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
